//Datei: INTERUPT.C
//
// Interruptbehandlung fr Timer0 und EEPROM
//
// Holger Klabunde
// Copyright 2000
// 02.05.2001
// Compiler CC5x

#include "prozess.h"      /* Der verwendete Prozessor */

#include "protos.h"
#include "ds1821.h"

#include <int16CXX.H>

#pragma origin 4

interrupt int_server( void)
{
 int_save_registers    // W, STATUS (and PCLATH)

//############################
//Beginn Timerinterrupt
//############################
//Es gibt nur TMR0 Interrupt
//Deshalb Abfrage deaktiviert zum Speicher sparen
// if(T0IF) //War ein Timer Interrupt
//  {
   tastbuf=(~PORTA)&0x0F; //Tastatur lesen, lowaktiv und nur PA0..3

   if(tastbuf>0)
    {
     boing++; //Flag INT war da setzen und INT's zhlen
   			  //wenn Taste gedrckt wurde
     if(boing==0) boing++; //boing=0 bei berlauf vermeiden !
    }
   else boing=0;          //Keine Taste gedrckt, Tastaturrepeat aus
   
   T0IF=0; //Interrupt Flag lschen
//  }
//############################
//Ende Timerinterrupt
//############################

 int_restore_registers // W, STATUS (and PCLATH)
}

